gnutls_x509_trust_list_add_cas(3)

NAME
gnutls_x509_trust_list_add_cas - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_add_cas(gnutls_x509_trust_list_t list, const gnutls_x509_crt_t * clist, unsigned clist_size, unsigned int flags);

ARGUMENTS

gnutls_x509_trust_list_t list
    The list

const gnutls_x509_crt_t * clist
    A list of CAs

unsigned clist_size
    The length of the CA list

unsigned int flags
    should be 0 or an or'ed sequence of GNUTLS_TL options.

DESCRIPTION
This function will add the given certificate authorities to the trusted list. The list of CAs must not be deinitialized during this structure's lifetime. If the flag GNUTLS_TL_NO_DUPLICATES is specified, then the provided clist entries that are duplicates will not be added to the list and will be deinitialized.

RETURNS
The number of added elements is returned.

SINCE
3.0.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/